[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#329698: trustees: Please improve description; properly package kernel stuff

Package: trustees
Version: 2.8-3
Severity: serious

First off, the description really should mention the necissity of kernel
patches. It should especially mention the supported versions, which
apparently don't include 2.6 and later versions of 2.4. Looking at the
patches in the package, I don't see any current kernels. I haven't
actually tested to see if they apply to new kernels, much less work.

Second, those kernel patches do not belong in /usr/share/doc. They
belong where kernel-package can find and use them. Perhaps even in a
seperate kernel-patch-FOO package, for consitency's sake. They are not
documentation; they are code that is an essential part of this pacakge.
Putting them in /usr/share/doc is a violation of the FHS and of Debian
policy (e.g., 12.3, "Packages must not require the existence of any
files in /usr/share/doc/ in order to function")

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.12-1-686-smp
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages trustees depends on:
ii  debconf               Debian configuration management sy
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an

-- debconf information excluded

Reply to: